using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace bajaWare.Accionista
{
    public partial class frmAccionista : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            wucParticipe1.TipoParticipe = 4;
            wucParticipe1.CargarDatos();
            int iOperacionId = Convert.ToInt32(Request.QueryString["intCredito"].ToString());
            InterfacesService.CreditosBusqueda busqueda = new InterfacesService.CreditosBusqueda();

            busqueda.intOperacionID = iOperacionId;
            busqueda.strNombre = string.Empty;
            busqueda.strDesarrollo = string.Empty;
            busqueda.strTipoNegocio = Session["negocio"].ToString();

            InterfacesService.CreditosResult result = new InterfacesService.IinterfacesServiceClient().ObtieneCreditos(busqueda).ToList().First();
            Label TituloPagina = (Label)this.Master.FindControl("lblNomModulo");
            TituloPagina.Text = result.iOperacionId.ToString() + "- " + result.vhcNombre;
        }

        protected void btnAccion_Click(object sender, EventArgs e)
        {
 
        }



        protected void btnAtras_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/Interfaces/frmBusqueda.aspx?operacion='c''");
        }
    }
}